#ifndef JtagPath_h
#define  JtagPath_h

#include "mlink/jtag_state.h"

#include <vector>
#include <ostream>

namespace mlink {

    typedef std::vector<int> JtagTmsPath;
    typedef std::vector<JTAG_STATE> JtagStatePath;

    class JtagPath {
    public:
        JtagPath(const JTAG_STATE &start, const JTAG_STATE &finish);
        ~JtagPath();
        //  static void testPath(const JtagPath&);
        JtagTmsPath getTmsPath() const { return tmsPath; }

    protected:
        JTAG_STATE startState;
        JTAG_STATE finishState;
        JtagStatePath statePath;
        JtagTmsPath tmsPath;
    };

    //std::ostream &operator<< (std::ostream & os, const JtagPath &r);

};

#endif /* JtagPath_h */
